[Haskell-cafe] Problem building GHC 6.8.3

David Waern david.waern at gmail.com
Wed Jun 18 17:11:46 EDT 2008

2008/6/18 Bryan O'Sullivan <bos at serpentine.com>:
> On Wed, Jun 18, 2008 at 5:28 AM, Daniel Fischer
> <daniel.is.fischer at web.de> wrote:
>> Sorry, probably stupid questions for knowledgeable folks
> Not stupid at all, but possibly the wrong mailing list.
> glasgow-haskell-users would usually be a better place to ask.
>> Setup: Haddock's internal GHC version must match the configured GHC version
> You're using Haddock 2.0 or newer. It's not actually possible to build
> GHC with it; you must use Haddock 0.9.

We're discussing how to fix this problem in future releases of GHC and
Haddock. In the meantime, it is actually possible to build GHC with
Haddock 2.1.0 by first building GHC without docs, then installing
Haddock with this GHC, and then building the GHC documentation.


More information about the Haskell-Cafe mailing list